commit:     4679a6133e148a3706e82152ed9d62d85d7efbd2
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 22 17:48:53 2023 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sat Apr 22 17:48:53 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4679a613

www-client/microsoft-edge: automated bump (112.0.1722.58)

Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 www-client/microsoft-edge/Manifest                 |   1 +
 .../microsoft-edge-112.0.1722.58.ebuild            | 123 +++++++++++++++++++++
 2 files changed, 124 insertions(+)

diff --git a/www-client/microsoft-edge/Manifest 
b/www-client/microsoft-edge/Manifest
index a1559eacd624..77fdcd164d86 100644
--- a/www-client/microsoft-edge/Manifest
+++ b/www-client/microsoft-edge/Manifest
@@ -1 +1,2 @@
 DIST microsoft-edge-stable_112.0.1722.48-1_amd64.deb 141877382 BLAKE2B 
cb8d6d3f027f0faa96a938f201fd494905db74a2ec18ebc2282f45d8fed11e1a70782edf4e0f0e78cf5d101793ba1c9c4a2a50291a0d894fd9664a479b20a057
 SHA512 
e21159de18d54fa9b92f303d7ab7eee856b21a200e1de3d8fb5ab86101553ed0d9cc8510f2b3da135458be6b8d3a3566dd00acdb76a88c32352551f9e1e8c5f4
+DIST microsoft-edge-stable_112.0.1722.58-1_amd64.deb 142150282 BLAKE2B 
66c1b33b5ffacd0793aa5eeb1fa43f94d1f999c3f178869998b25a6d018aa1bb3bf74275ec14a996b3c9d222bb9bf2e5dec17093b24b9fe20231cd8bd7126c49
 SHA512 
dfabbb2350cca517649f5842d6b4c6dbbd0b38ae4755fb622175d273e7327cdfbb82a8bbb89a218d7be828744852c69d14099c21a28d44d96a185e03bd226a0a

diff --git a/www-client/microsoft-edge/microsoft-edge-112.0.1722.58.ebuild 
b/www-client/microsoft-edge/microsoft-edge-112.0.1722.58.ebuild
new file mode 100644
index 000000000000..ebc23fabaa28
--- /dev/null
+++ b/www-client/microsoft-edge/microsoft-edge-112.0.1722.58.ebuild
@@ -0,0 +1,123 @@
+# Copyright 2011-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit chromium-2 desktop pax-utils unpacker xdg
+
+DESCRIPTION="The web browser from Microsoft"
+HOMEPAGE="https://www.microsoft.com/en-us/edge";
+
+if [[ ${PN} == microsoft-edge ]]; then
+       MY_PN=${PN}-stable
+else
+       MY_PN=${PN}
+fi
+
+KEYWORDS="-* ~amd64"
+
+MY_P="${MY_PN}_${PV}-1"
+
+SRC_URI="https://packages.microsoft.com/repos/edge/pool/main/m/${MY_PN}/${MY_P}_amd64.deb";
+
+LICENSE="microsoft-edge"
+SLOT="0"
+RESTRICT="bindist mirror strip"
+IUSE="+mip qt5"
+
+RDEPEND="
+       >=app-accessibility/at-spi2-core-2.46.0:2
+       app-misc/ca-certificates
+       dev-libs/expat
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       media-fonts/liberation-fonts
+       media-libs/alsa-lib
+       media-libs/mesa[gbm(+)]
+       net-misc/curl[ssl]
+       net-print/cups
+       sys-apps/dbus
+       sys-apps/util-linux
+       sys-libs/glibc
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3[X]
+       x11-libs/libdrm
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXrandr
+       x11-libs/libxcb
+       x11-libs/libxkbcommon
+       x11-libs/libxshmfence
+       x11-libs/pango
+       x11-misc/xdg-utils
+       mip? ( app-crypt/libsecret )
+       qt5? (
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5[X]
+               dev-qt/qtwidgets:5
+       )
+"
+
+QA_PREBUILT="*"
+QA_DESKTOP_FILE="usr/share/applications/microsoft-edge.*\\.desktop"
+S=${WORKDIR}
+EDGE_HOME="opt/microsoft/msedge${PN#microsoft-edge}"
+
+pkg_nofetch() {
+       eerror "Please wait 24 hours and sync your tree before reporting a bug 
for microsoft-edge fetch failures."
+}
+
+pkg_pretend() {
+       # Protect against people using autounmask overzealously
+       use amd64 || die "microsoft-edge only works on amd64"
+}
+
+pkg_setup() {
+       chromium_suid_sandbox_check_kernel_config
+}
+
+src_unpack() {
+       :
+}
+
+src_install() {
+       dodir /
+       cd "${ED}" || die
+       unpacker
+
+       rm -f _gpgorigin || die
+
+       rm -r etc usr/share/menu || die
+       mv usr/share/doc/${MY_PN} usr/share/doc/${PF} || die
+
+       gzip -d usr/share/doc/${PF}/changelog.gz || die
+       gzip -d usr/share/man/man1/${MY_PN}.1.gz || die
+       if [[ -L usr/share/man/man1/${PN}.1.gz ]]; then
+               rm usr/share/man/man1/${PN}.1.gz || die
+               dosym ${MY_PN}.1 usr/share/man/man1/${PN}.1
+       fi
+
+       local suffix=
+       [[ ${PN} == microsoft-edge-beta ]] && suffix=_beta
+       [[ ${PN} == microsoft-edge-dev ]] && suffix=_dev
+
+       local size
+       for size in 16 24 32 48 64 128 256 ; do
+               newicon -s ${size} 
"${EDGE_HOME}/product_logo_${size}${suffix}.png" ${PN}.png
+       done
+
+       if ! use mip; then
+               rm "${EDGE_HOME}"/libmip_{core,protection_sdk}.so || die
+       fi
+
+       if ! use qt5; then
+               rm "${EDGE_HOME}/libqt5_shim.so" || die
+       fi
+
+       pax-mark m "${EDGE_HOME}/msedge"
+}

Reply via email to